#ifndef __RADEONOV_H__
#define __RADEONOV_H__

typedef unsigned long u32;
typedef unsigned short u16;
typedef unsigned char u8;

typedef struct
{
    u16 VendorID;
    u16 DeviceID;
    int Index;
} pci_device_id;

typedef int BOOL;

#define TRUE 1
#define FALSE 0

typedef struct {
    int fd;
    
    char name[32];
    u32 pci_buf[64];
    u32 mmio_base_phys;
    u32 mmio_base;

    unsigned char *bios_seg;

    int Chipset;
    int ChipFamily;
    int VideoRam;

} radeonov_info;

radeonov_info *rinfo;

#include "radeon_reg.h"

#endif
